#include<bits/stdc++.h>
using namespace std;
int main()
{

    int a,b,l,m,br=0,x,k;
    cin>>a>>b>>l;

    for(k=a+b; k<=l ; k++)
    {

        for(x=1; x<=k ; x++)
        {
            m=k-(a*x);

            if(m>0 && m%b==0)
            {
                br++;
                break;
            }

        }
    }

    cout<<l-br;
    return 0;
}
